Name: symaxx2
Version: 0.17
Release: alt2
Summary: Graphical Frontend for Maxima Symbolic Computation Program
Copyright: GPL
Group: Sciences/Mathematics
URL: http://symaxx.sourceforge.net
Packager: Vadim V. Zhytnikov <vvzhy@altlinux.ru>

BuildArch: noarch

Source0: Symaxx2.Pre17.tar.gz
Source1: %name.menu
Source2: %name-16.xpm
Source3: %name-32.xpm
Source4: %name-48.xpm

Requires: tk tcl perl perl-Tk maxima

BuildRequires: perl perl-Tk 

%description
Symaxx/2 is a graphical frontend for the Maxima computer algebra
system. It has no mathematical "intelligence" of its own, all 
the work is done by Maxima.

%prep
%setup -b 0 -n Symaxx2

%build

#cd %_builddir/Symaxx2
#./symaxx2 -compile

%install

install -d %buildroot%_libdir/symaxx2
install -d %buildroot%_bindir
cp -fR %_builddir/Symaxx2/* %buildroot%_libdir/symaxx2
install -D -m644 %SOURCE1 %buildroot%_menudir/%name
install -D -m644 %SOURCE2 %buildroot%_miconsdir/%name.xpm
install -D -m644 %SOURCE3 %buildroot%_iconsdir/%name.xpm
install -D -m644 %SOURCE4 %buildroot%_liconsdir/%name.xpm
ln -f -s %_libdir/symaxx2/symaxx2 %buildroot%_bindir/symaxx2

%files
%_libdir/%name
%_bindir/symaxx2
%_menudir/%name
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%changelog
* Sat Oct 12 2002 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 0.17-alt2
- BuildArch: noarch added.

* Sat Jul 20 2002 Vadim V. Zhytnikov <vvzhy@mail.ru> 0.17-alt1 
- symaxx2 --compile is removed. 

* Fri Oct 26 2001 Vadim V. Zhytnikov <vvzhy@mail.ru> 0.14-alt1 
- Initial ALT Linux release.


